Name:		autogen
Version:	5.18.16
Release:	6
License:	GPL-3.0-or-later
Summary:	Automated text file generator
URL:		https://www.gnu.org/software/autogen/
Provides:	autogen-libopts = %{version}-%{release}
Obsoletes:	autogen-libopts < %{version}-%{release}
Source0:	https://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz

Patch0:	backport-fix-stray-blanking-of-config-file-char.patch
# PATCH-FIX-UPSTREAM -- https://savannah.gnu.org/support/index.php?109234 boo#1021353
Patch2: autogen-catch-race-error.patch
# PATCH-FIX-UPSTREAM don't make programs uninstallable
Patch3: autogen-installable-programs.patch
# PATCH-FIX-UPSTREAM
Patch4: autogen-sprintf-overflow.patch
# PATCH-FIX-UPSTREAM -- https://sourceforge.net/p/autogen/bugs/193/#5844
Patch5: autogen-gcc9-fix-wrestrict.patch
# PATCH-FIX-UPSTREAM Allow building with guile 3.0
Patch6: autogen-guile-version.patch
Patch7: autogen-avoid-GCC-code-analysis-bug.patch

BuildRequires:	gcc libtool autoconf automake
BuildRequires:  guile-devel libxml2-devel
BuildRequires:	perl-generators
BuildRequires:  chrpath

%description
AutoGen is a tool designed to simplify the creation and maintenance of
programs that contain large amounts of repetitious text. It is especially
valuable in programs that have several blocks of text that must be kept
synchronised.

%package	devel
Summary:        Development files for autogen
Requires:       %{name} = %{version}-%{release}
Provides:	autogen-libopts-devel = %{version}-%{release}
Obsoletes:	autogen-libopts-devel < %{version}-%{release}

%description    devel
This package contains development files for autogen.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
# Static libraries are needed to run test-suite.
CFLAGS="$RPM_OPT_FLAGS -Wno-implicit-fallthrough -Wno-format-overflow \
		-Wno-format-truncation"
%if "%toolchain" == "clang"
CFLAGS+=" -Wno-missing-field-initializers -Wno-format "
%endif
export CFLAGS

autoreconf -f
%configure --disable-static
%make_build

%check
%make_build check

%install
%make_install
%delete_la
rm -f %{buildroot}%{_infodir}/dir

#Remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/{columns,getdefs,%{name},xml2ag}

%files
%license COPYING pkg/libopts/COPYING*
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/%{name}
%{_bindir}/xml2ag
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/libopts.so.25*

%files devel
%{_bindir}/autoopts-config
%{_datadir}/aclocal/autoopts.m4
%{_libdir}/libopts.so
%{_libdir}/pkgconfig/autoopts.pc
%{_includedir}/autoopts

%files help
%{_mandir}/man?/*
%{_infodir}/%{name}.info*

%changelog
* Tue Aug 06 2024 Funda Wang <fundawang@yeah.net> - 5.18.16-6
- Add patches fixed upstream

* Thu Jul 11 2024 huyubiao <huyubiao@huawei.com> - 5.18.16-5
- Add version number for Obsoletes

* Thu Feb 1 2024 liyunfei<liyunfei33@huawei.com> - 5.18.16-4
- add additional warning options for clang

* Tue Oct 18 2022 zhangruifang <zhangruifang1@h-partners.com> - 5.18.16-3
- fix stray blanking of config file char

* Thu Jul 28 2022 zoulin <zoulin13@h-partners.com> - 5.18.16-2
- remove rpath and runpath of exec files and libraries

* Thu Jul 16 2020 wangchen <wangchen137@huawei.com> - 5.18.16-1
- Update to 5.18.16

* Mon Dec 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.18.14-4
- Modify Source

* Thu Aug 29 2019 hexiaowen <hexiaowen@huawei.com> - 5.18.14-3
- Package init
